#include <bits/stdc++.h>
    using namespace std;
  
    
 


    int main(){
        ios_base::sync_with_stdio(false);
        cin.tie(NULL);
        string a, b, k;
        cin>>a>>b;
        k = "";
        long long na = a.length();
        long long nb = b.length();
        long long nmax = max(na,nb);
        if(na>nb){
            for(int i=na-nb; i>0; i--){
                b = '/' + b;
            }
        }
        else{
        for(int i=nb-na; i>0; i--){
                a = '/' + a;
        } 
        }

        for(int i=nmax-1; i>=0; i--){
        if(a[i] == b[i]){
            k=a[i] + k;
            k=a[i] + k;
        }
        else if(a[i]>b[i]){
            k=a[i] + k;
        }
        else {
            k=b[i] + k;
        }
        }
        
        cout<<k;


    }